import React, { useState, useEffect } from "react";
import LeftNavigationUiConfiguratorTest from "./LeftNavigationUiConfiguratorTest";
import { Form, Row, Col, Button, Table } from "react-bootstrap";
import { FaEdit, FaUserAlt, FaBan } from "react-icons/fa";
import { Link, NavLink } from "react-router-dom";
import Alert from "react-bootstrap/Alert";
import axios from "axios";
import { useLocation } from "react-router-dom";

function UpdatePlanetVhostTest(props) {
  const location = useLocation();
  const [successMessage, setSuccessMessage] = useState("");
  const [errorMessage, setErrorMessage] = useState("");
  const [planetVhostInfoData, setPlanetVhostInfoData] = useState({
    id: "",
    envName: "",
    name: "",
    protocol: "",
    port: "",
    cname: ""
  }); //load existing planet vhost details

  useEffect(() => {
    axios.get(`https://configurator-api-m7mkmev5sq-uc.a.run.app/vhost/${new URLSearchParams(location.search).get("vhostId")}`).then(response => {
      setPlanetVhostInfoData({
        id: response.data.id,
        envName: response.data.envName,
        name: response.data.name,
        protocol: response.data.protocol,
        port: response.data.port,
        cname: response.data.cname
      });
    }).catch(error => {
      setErrorMessage(error.message);
    });
  }, []); //vhost environment name change

  const handlePlanetVhostEnvChange = e => {
    let temp = { ...planetEnvInfoData
    };
    temp[e.target.name] = e.target.value;
    setPlanetEnvInfoData(temp);
  }; //vhost name change


  const handlePlanetVhostNameChange = e => {
    let temp = { ...planetVhostInfoData
    };
    temp[e.target.name] = e.target.value;
    setPlanetVhostInfoData(temp);
  }; //vhost protocol change


  const handlePlanetVhostProtocolChange = e => {
    let temp = { ...planetVhostInfoData
    };
    temp[e.target.name] = e.target.value;
    setPlanetVhostInfoData(temp);
  }; //vhost port change


  const handlePlanetVhostPortChange = e => {
    let temp = { ...planetVhostInfoData
    };
    temp[e.target.name] = e.target.value;
    setPlanetVhostInfoData(temp);
  }; //vhost cname change


  const handlePlanetVhostCnameChange = e => {
    let temp = { ...planetVhostInfoData
    };
    temp[e.target.name] = e.target.value;
    setPlanetVhostInfoData(temp);
  }; //submit handler


  const updatePlanetVhostSubmitHandler = e => {
    console.log(planetVhostInfoData);
    axios.put(`https://configurator-api-m7mkmev5sq-uc.a.run.app/vhost/${new URLSearchParams(location.search).get("vhostId")}`, planetVhostInfoData).then(res => {
      setSuccessMessage("Host configuration updated successfully");
    }).catch(err => {
      setErrorMessage(err.message);
    });
  };

  return /*#__PURE__*/React.createElement("section", null, /*#__PURE__*/React.createElement("div", {
    className: "developer-list-page"
  }, /*#__PURE__*/React.createElement("div", {
    className: "container"
  }, /*#__PURE__*/React.createElement("div", {
    className: "col-sm-12"
  }, /*#__PURE__*/React.createElement("h2", null, "Update Planet Vhost Info"), /*#__PURE__*/React.createElement("ul", {
    className: "breadcrumb"
  }, /*#__PURE__*/React.createElement("li", {
    className: "breadcrumb-item"
  }, /*#__PURE__*/React.createElement("a", {
    href: "/"
  }, "Home")), /*#__PURE__*/React.createElement("li", {
    className: "breadcrumb-item active"
  }, /*#__PURE__*/React.createElement("a", {
    href: "/"
  }, "Update Planet Vhost Info")))))), /*#__PURE__*/React.createElement("main", {
    id: "main mt-5"
  }, errorMessage && /*#__PURE__*/React.createElement(Alert, {
    variant: "danger"
  }, errorMessage), successMessage && /*#__PURE__*/React.createElement(Alert, {
    variant: "success"
  }, successMessage), /*#__PURE__*/React.createElement("section", {
    id: "subpage",
    className: "wow fadeInUp"
  }, /*#__PURE__*/React.createElement("div", {
    className: "upload-swagger"
  }, /*#__PURE__*/React.createElement("div", {
    className: "container"
  }, /*#__PURE__*/React.createElement("div", {
    className: "row form-section nopadding"
  }, /*#__PURE__*/React.createElement("div", {
    className: "col-lg-3"
  }, props.leftNavigation), /*#__PURE__*/React.createElement("div", {
    className: "col-lg-9 col-sm-12 swag-border-left"
  }, /*#__PURE__*/React.createElement("div", {
    className: "pageHeaders"
  }, /*#__PURE__*/React.createElement("div", {
    className: "mb-3"
  }, /*#__PURE__*/React.createElement(Form, null, /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "planetHostEnvName"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Host Env Name", " "), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    name: "envName",
    onChange: handlePlanetVhostEnvChange,
    value: planetVhostInfoData.envName
  }))), /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "planetHostName"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Host Name", " "), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    name: "name",
    onChange: handlePlanetVhostNameChange,
    value: planetVhostInfoData.name
  }))), /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "planetHostProtocolName"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Protocol", " "), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    name: "protocol",
    onChange: handlePlanetVhostProtocolChange,
    value: planetVhostInfoData.protocol
  }))), /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "planetHostPortName"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "Port", " "), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    name: "port",
    onChange: handlePlanetVhostPortChange,
    value: planetVhostInfoData.port
  }))), /*#__PURE__*/React.createElement(Form.Group, {
    as: Row,
    controlId: "planetHostCnameName"
  }, /*#__PURE__*/React.createElement(Form.Label, {
    column: true,
    sm: 2
  }, "CName", " "), /*#__PURE__*/React.createElement(Col, {
    sm: 10
  }, /*#__PURE__*/React.createElement(Form.Control, {
    type: "text",
    className: "w-75",
    name: "cname",
    onChange: handlePlanetVhostCnameChange,
    value: planetVhostInfoData.cname
  })))), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement("br", null), /*#__PURE__*/React.createElement(Button, {
    variant: "primary",
    onClick: updatePlanetVhostSubmitHandler
  }, "Update"))))))))));
}

export default UpdatePlanetVhostTest;